function SSLDomainSet() {
	var dname = document.getElementById("ssl_dname").value;
	$("#confirmation_email").selectBox('options', {
		'admin': 'admin@' + dname,
		'webmaster': 'webmaster@' + dname,
		'administrator': 'administrator@' + dname,
		'hostmaster': 'hostmaster@' + dname,
		'root': 'root@' + dname,
		'postmaster': 'postmaster@' + dname
	});
}

function ReNewDedicated(did, ds_name) {
	var objSel = document.getElementById("ds_renew_period_" + did);
	var period = objSel.options[objSel.selectedIndex].value;
	if (confirm("Вы действительно хотите продлить " + ds_name + " на " + period + " месяц(а/ев)?")) {
		window.location.replace('index.php?dorenew&did=' + did + '&period=' + period);
	}
}

function ReRegDomain(did, domain_name, url) {
	if (confirm("Вы действительно хотите продлить домен " + domain_name + " на 1 год?")) {
		window.location.replace(url + '/d_reg/renew.php?domains_id=' + did);
	}
}

function CheckDeletedDomain(did, domain_name, c_page, url) {
	if (confirm("Вы действительно хотите проверить и изменить дату регистрации домена " + domain_name + "?\n Внимание! Если домен не существует, он сразу будет удален из вашего аккаунта!")) {
		window.location.replace(url + '/domains/check_domain.php?domain_id=' + did + '&c_page=' + c_page);
	}
}

function BasketDeleteConfirm(for_del, url) {
	if (confirm("Вы действительно хотите удалить домен/ы из корзины?")) {
		window.location.replace(url + '/basket/index.php?clean=' + for_del);
	}
}

function ReNewWebFwd(wfid, domain_name) {
	var objSel = document.getElementById("webfwd_renew_period_" + wfid);
	var period = objSel.options[objSel.selectedIndex].value;
	if (confirm("Вы действительно хотите продлить услугу ''Переадресация домена / Web-forwarding'' для домена " + domain_name + " на " + period + " год/а/лет?")) {
		window.location.replace('webfwd.php?dorenew&wfid=' + wfid + '&period=' + period);
	}
}

function ReNewParking(pid, domain_name) {
	var objSel = document.getElementById("parking_renew_period_" + pid);
	var period = objSel.options[objSel.selectedIndex].value;
	if (confirm("Вы действительно хотите продлить услугу ''Парковка домена'' для домена " + domain_name + " на " + period + " год/а/лет?")) {
		window.location.replace('parking.php?dorenew&pid=' + pid + '&period=' + period);
	}
}

function ReNewAntispam(pid, domain_name) {
	var objSel = document.getElementById("antispam_renew_period_" + pid);
	var period = objSel.options[objSel.selectedIndex].value;
	if (confirm("Вы действительно хотите продлить услугу ''Защита от спама'' для домена " + domain_name + " на " + period + " месяц/а/в?")) {
		window.location.replace('antispam.php?dorenew&pid=' + pid + '&period=' + period);
	}
}

function ReNewDNSBoth(pid, domain_name) {
	var objSel = document.getElementById("srv_dns_both_renew_period_" + pid);
	var period = objSel.options[objSel.selectedIndex].value;
	if (confirm("Вы действительно хотите продлить услугу ''Поддержка ДНС'' для домена " + domain_name + " на " + period + " год/а/лет?")) {
		window.location.replace('index.php?dorenew&pid=' + pid + '&renew_period=' + period);
	}
}

function marker_class(t, domain_id) {
	if (t.checked) {
		$("#tr" + domain_id).addClass('b-table__row_selected');
	}
	else {
		$("#tr" + domain_id).removeClass('b-table__row_selected');
	}
}

function marker_class_all(t) {
	var c = document.getElementsByTagName('input');
	var i = 0;
	for (i = 0; i < c.length; i++) {
		if (c[i].name.substr(0, 9) == 'domain_id') {
			c[i].checked = t.checked;
		}
	}

	c = document.getElementsByTagName('tr');
	for (i = 0; i < c.length; i++) {
		if (c[i].id.substr(0, 2) == 'tr') {
			if (t.checked) {
				$(c[i]).addClass('b-table__row_selected');
			} else {
				$(c[i]).removeClass('b-table__row_selected');
			}
		}
	}
}

function validate_del_webfwd_record(data) {
	if (confirm("Вы действительно хотите удалить данную запись?")) {
		window.location.replace('webfwd_del.php?data=' + data);
	}
}

function validate_del_dns_record(data) {
	if (confirm("Вы действительно хотите удалить данную запись?")) {
		window.location.replace('del.php?data=' + encodeURIComponent(data));
	}
}

function validate_del_folders(name, id) {
	if (confirm("Вы действительно хотите удалить папку:\n" + name)) {
		window.location.replace('folder_delete.php?fid=' + id);
	}
}

function validate_del_profiles(name, id) {
	if (confirm("Вы действительно хотите удалить профиль:\n" + name)) {
		window.location.replace('delete.php?pid=' + id);
	}
}

function TransformWords(id) {
	var string = document.getElementById(id).value;
	string = string.toLowerCase();
	document.getElementById(id).value = string.replace(/^(.)|\s(.)/g, function ( $1 ) { return $1.toUpperCase ( ); } );
}

function TransformString(id)
{
	var string = document.getElementById(id).value;
	string = string.toLowerCase();
	document.getElementById(id).value = string.charAt(0).toUpperCase() + string.slice(1);
}

function ch_rectype(id) {
	var frm = document.getElementById("frm");
	if (id == '1') {
		if (frm.rectype_1.value == 'MX') {
			frm.priority_1.disabled = false;
			frm.priority_1.style.display = '';
		} else {
			frm.priority_1.disabled = true;
			frm.priority_1.style.display = 'none';
		}
	} else if (id == '2') {
		if (frm.rectype_2.value == 'MX') {
			frm.priority_2.disabled = false;
			frm.priority_2.style.display = '';
		} else {
			frm.priority_2.disabled = true;
			frm.priority_2.style.display = 'none';
		}
	} else if (id == '3') {
		if (frm.rectype_3.value == 'MX') {
			frm.priority_3.disabled = false;
			frm.priority_3.style.display = '';
		} else {
			frm.priority_3.disabled = true;
			frm.priority_3.style.display = 'none';
		}
	} else if (id == '4') {
		if (frm.rectype_4.value == 'MX') {
			frm.priority_4.disabled = false;
			frm.priority_4.style.display = '';
		} else {
			frm.priority_4.disabled = true;
			frm.priority_4.style.display = 'none';
		}
	} else if (id == '5') {
		if (frm.rectype_5.value == 'MX') {
			frm.priority_5.disabled = false;
			frm.priority_5.style.display = '';
		} else {
			frm.priority_5.disabled = true;
			frm.priority_5.style.display = 'none';
		}
	}
}

function ReNewHosting(hid, domain_name, srvtype) {
	var objSel = document.getElementById("hosting_renew_period_" + hid);
	var period = objSel.options[objSel.selectedIndex].value;
	var msg;
	if (srvtype == 'srv_addip') {
		msg = "Вы действительно хотите продлить IP для хостинга " + domain_name + " на " + period + " месяц(а/ев)?";
	} else {
		msg = "Вы действительно хотите продлить хостинг для домена " + domain_name + " на " + period + " месяц(а/ев)?";
	}

	if (confirm(msg)) {
		window.location.replace('index.php?dorenew&hid=' + hid + '&period=' + period);
	}
}

function confirmReinstall() {
	if (confirm("Вы действительно хотите переустановить операционную систему на вашем VPS сервере?")) {
		return true;
	} else {
		return false;
	}
}

function ReNewVPS(vid, vps_name) {
	var objSel = document.getElementById("vps_renew_period_" + vid);
	var period = objSel.options[objSel.selectedIndex].value;
	if (confirm("Вы действительно хотите продлить " + vps_name + " на " + period + " месяц(а/ев)?")) {
		window.location.replace('index.php?dorenew&vid=' + vid + '&period=' + period);
	}
}

function CheckAddHosting() {
	if (confirm("Вы действительно хотите заказать хостинг?")) {
		return true;
	} else {
		return false;
	}
}

function CheckAddVPS() {
	if (confirm("Вы действительно хотите заказать сервер VPS?")) {
		return true;
	} else {
		return false;
	}
}

function CheckAddVPSOptions() {
	if (confirm("Вы действительно хотите заказать дополнительную опцию для сервера VPS?")) {
		return true;
	} else {
		return false;
	}
}

function CheckAddHostingOptions() {
	if (confirm("Вы действительно хотите заказать дополнительную опцию для хостинга?")) {
		return true;
	} else {
		return false;
	}
}

function DogOKChangeStatus() {
	if (document.getElementById('dog_ok').checked == true && document.getElementById('phone').value.length > 7 && document.getElementById('fio').value.length > 10 && document.getElementById('passport_num').value.length > 6 && document.getElementById('passport_kem_vidan').value.length > 5) {
		document.getElementById('add_hosting').disabled = false;
	} else {
		document.getElementById('add_hosting').disabled = true;
	}
}

function DogOKChangeStatusVPS() {
	if (document.getElementById('dog_ok').checked == true && document.getElementById('vps_name').value.length > 4 && document.getElementById('phone').value.length > 7) {
		document.getElementById('add_vps').disabled = false;
	} else {
		document.getElementById('add_vps').disabled = true;
	}
}

function ShowCQ(value) {
	if (value == 6) {
		document.getElementById('custom_question').style.display = '';
	} else {
		document.getElementById('custom_question').style.display = 'none';
	}
}
